Changelog ADtoPave

#################################################
V2025.02.012
21.07.2026
#################################################

Modul RDO/RSO Asphalt

- Fehlerkorrektur bei "Speichern unter", Abbruch durch X führte zu Datenverlust (alle Berechnungen) 
- Fehlerkorrektur bei Verwendung variabler Faktoren zur Berechnung der Achsübergänge

Modul RDO Asphalt

- Aktualisierung Befestigungsaufbau nach Schichtdickenanpassung

Modul Versuchsauswertung

- neuer Fittingansatz für DSV nach TP Asphalt Teil 25 B1
  (Stabilisierung und Präzisierung der Regressionsfunktion bei Impulskriechkurven mit Wendepunkt)


#################################################
V2025.02.011
29.04.2026
#################################################

Modul Versuchsauswertung

- Korrektur/Ergänzung Auswertung UCTST (auch sehr kurze Versuche werden beim ER angezeigt)

#################################################
V2025.02.010
07.04.2026
#################################################

Modul Versuchsauswertung

- Fehlerkorrektur für Seitenumbruch bei Ausdruck für SZSZ


#################################################
V2025.02.009
17.02.2026
#################################################

Modul RSO

- Ausgabe Sigma_R bei probabilistischer Berechnung


#################################################
V2025.02.006
28.11.2025
#################################################

Modul RSO

- Fehlerkorrektur, Berechnung wurde nur einmalig durchgeführt, bei wiederholter Berechnung Sprung direkt zum Speichern der Datei

#################################################
V2025.02.005
21.10.2025
#################################################

Modul PMS

- Fehlerkorrektur PMS/probabilistisch (harmonisierte AF für RSO, Anzahl Mat. unbegrenzt)

#################################################
V2025.02.004
23.07.2025
#################################################

Modul RStO

- Aktualisierung auf RStO 12/24
- Auslagerung in separate DLL
- Überprüfung auf Kriterium Tragfähigkeit der Frostschutzschicht


#################################################
V2025.02.003
27.06.2025
#################################################

Modul RStO

- Fehlerbehebung beim Wechseln der Oberflächen

Benutzerhandbuch

- überarbeitete Dokumentation


#################################################
V2025.02.002
13.05.2025
#################################################

Modul RDO Asphalt

- Überarbeitung der Oberfläche, Abgrenzung zwischen RDO 09 und RDO 09/24, Auslagerung in separate DLL

Modul PMS

- Implementierung Serienrechnung für RDO Asphalt Querschnitt

#################################################
V2018.02.001
12.02.2025
#################################################

Modul RDO Asphalt

- Überarbeitung der Oberfläche, Abgrenzung zwischen RDO 09 und RDO 09/24, Auslagerung in separate DLL

Modul RDO Asphalt (Querschnitt)

- Überarbeitung der Oberfläche, Auslagerung in separate DLL

Modul RDO Asphalt (Querschnitt)

- Überarbeitung der Oberfläche, Auslagerung in separate DLL


#################################################
V2018.01.026
04.06.2024
#################################################

Modul RDO Asphalt

- Fehlerkorrektur bei Verwendung eines variablen DTV(SV)
  Daten werden für Bearbeitung wieder angezeigt


#################################################
V2018.01.025
13.03.2024
#################################################

Modul RDO Asphalt

- Implementierung RDO Asphalt 09/24
  Anpassung Druckausgabe, Ergänzung Nachweis HGT nach RDO 09/24

Modul AirField

- Implementierung RDO Asphalt für Flugbetriebsflächen
  ACR und PCR


#################################################
V2018.01.024
23.11.2023
#################################################

Modul Klima und Verkehr

- Implementierung der AP's EDS-1 und EDS-2


Modul RDO Asphalt Querschnittsauswertung

- Implementierung der Berücksichtigung der Querverteilung des Schwerverkehrs 


#################################################
V2018.01.023
11.06.2023
#################################################

Modul Versuchsauswertung

- Problembehebung DSV, Fitting der Impulskriechkurve schlägt fehl
  neue Routine für Bestimmung der Funktionsparameter

#################################################
V2018.01.022
10.04.2023
#################################################

Modul Materialdatenbank

- MDB-Typ2 Bestimmung der Parameter aus Stützstellen für Steifigkeiten und Kälteverhalten
- Ausgabe der Stützstellen für Steifigkeit und Kälteverhalten in "Tools für Asphalt"

Modul Versuchsauswertung

- Problembehebung bei zSEV, wenn Vorbelastung in Messwertdatei enthalten ist
- Zug-Schwellversuch, Fehlerkorrektur in Berechnung der kummulierten plastischen Dehnung
- Problembehebung bei SZSV Steifigkeiten, Diagramm in Auswertung friert ein  
- Problembehebung bei zSEV, Berücksichtigung der Vorbelastung in Messwertdatei (falls vorhanden)
- Problembehebung DSV, Fitting der Impulskriechkurve schlägt fehl
- Zugversuch UTST, Problembehebung bei invertierter Wegmessung 


#################################################
V2018.01.021
29.07.2022
#################################################

Modul Versuchsauswertung

- Fehlerkorrektur in UCTST Auswertung, Korrektur Diagramm Großdarstellung für S(mix)
- Korrektur systemabhängiger Fehler beim Einlesen der Versuchsdaten (GUI friert ein)   

Modul Strukturanalyse

- Diagrammdarstellung -> automatisierte Auswahl der zwischenliegenden Elemente  



#################################################
V2018.01.020
11.05.2022
#################################################

Allgemein

- Fehlerkorrektur beim Änderung bzw. Einlesen eines Firmenlogos für Personalisierung
- Fehlerkorrektur beim Ausdruck von RSO Berechnungen (probabilistisch)
- Ergänzung der berechneten Achsübergänge je Nutzungsjahr beim Ausdruck

Modul RDO Asphalt

- Fehlerkorrektur bei Darstellung Variantenvergleich

Modul RSO Asphalt

- Ergänzung der Eingabe des Jahres der Substanzbewertung

Modul Versuchsauswertung

- Anpassung auf neue Fassung der TP Asphalt-StB Teil 45 B1 - DSV
  (40 Promille auf 80 Promille geändert)

#################################################
V2018.01.019
01.12.2021
#################################################

Allgemein

- Umstellung auf net.framework Version 4.8

Modul Klima und Verkehr

- Implementierung der Umrechnung von Gauß-Krüger-Koordinaten unterschiedlicher Zonen in die Zone 3

Modul Versuchsauswertung

- Abfrage, ob aktuelle Auswertungsserie beim Verlassen/Änderung der Versuchsauswertung gespeichert werden soll
- Implementierung der Versuchsauswertung nach AL DSV slim
- Implementierung der Auswertung von Zug-/Druckschwellversuchen (Steifigkeiten - Hauptkurve)

Modul Materialdatenbank

- Erweiterung der Materialdatenbank um ImKK Modellparameter (Verformungsverhalten Asphalt)

Modul RDO Asphalt

- Implementierung Auswahlmöglichkeit, ob Nachweis "HGT" nach RDO Asphalt 09 oder RDO Asphalt 09/21 geführt werden soll
  Auswahl erfolgt über Berechnungsoptionen 

Modul RDO Asphalt (Querschnitt)

- Darstellung des max. Ermüdungsstatus je Asphaltschichtschicht/Material

#################################################
V2018.01.018
04.08.2021
#################################################

Setup.exe

- automatisches Setzen der Lese-/Schreibberechtigung für C:\ProgramData\ADtoPave\ während der Installation 
  bzw. eines Updates

Modul Versuchsauswertung

- Abkühlversuch, Problembehebung mit PK Bezeichnung
  (Einzeldaten werden jetzt mit PK-Bezeichnung gespeichert und beim Löschen aus der Ergebniszusammenfassung auch gelöscht)
- SZSV Ermüdung, Einzeldaten zur Bestimmung NMakro werden nun in separater txt-Datei gespeichert  
- Anpassung beim Einlesen von longterm Versuchen, Mindestanzahl Messwerte je Lastzyklus -> 50% von max. Anzahl MW  
- DSV, Problembehebung mit PK Bezeichnung
  (Einzeldaten werden jetzt mit PK-Bezeichnung gespeichert und beim Löschen aus der Ergebniszusammenfassung auch gelöscht)
- zSEV, Problembehebung mit PK Bezeichnung
  (Einzeldaten werden jetzt mit PK-Bezeichnung gespeichert und beim Löschen aus der Ergebniszusammenfassung auch gelöscht)
- Fehlerbehung bei manueller Eingabe von Versuchsergebnisse (z.B. bei SZSV) beim ersten Speichern der Ergebniszusammenfassung

#################################################
V2018.01.017a
11.03.2021
#################################################

Modul Versuchsauswertung

- Abkühlversuch, Problembehebung wenn PK-Bez. gleich der PK-Nr. in der Auswertung ist
  (in Version 17a nochmals korrigiert)
- SZSV nach TP Asphalt Teil 26, Korrektur der Frequenzen für Bestimmung Grenzmodul (bei T= 10°C, 0.1Hz, 0.3Hz)
- SZSV nach TP Asphalt Teil 26, Ergänzung der Überprüfung ob E>E_max, falls ja dann 10Hz bei T=-10°C berücksichtigen

Modul Analyse

- Export der Berechnungsergebnisse in vtk-Datei (ParaView) und txt-Datei (Excel)


#################################################
V2018.01.016
18.11.2020
#################################################

Modul Versuchsauswertung

- dyn. SEV, Einlesen von vorausgewerteten Messdaten (1 MW je Lastzyklus) 
- Einlesen von DSV Daten bei 2 Messwerten (MIN+MAX) je Lastimpuls


Modul RDO Asphalt

- Fehlerkorrektur bei Berichtsdruck (wenn weniger als 11 ALK vorhanden sind)


Modul RStO

- Implementierung der redaktionellen Änderungen in den RStO 12 vom 20.06.2020 


#################################################
V2018.01.015
22.07.2020
#################################################

Modul Analyse

- Fehlerkorrektur bei Sortierung des Element-z-Wertes für Darstellung

Modul Spurrinnenprognose

- Implementierung eines Moduls zur Prognose der Spurrinnenbildung
  (derzeit noch in Entwicklung)

Modul RDO Asphalt (Querschnitt)

- Implementierung eines Moduls zur Auswertung des Ermüdungsstatus bezogen
  auf den Straßenquerschnitt, einschl. Visualisierung
  (derzeit noch in Entwicklung)


#################################################
V2018.01.014
19.03.2020
#################################################

Allgemeines

- temporäre Freigabe der Strukturanalyse in der Version "BASIC"

Modul RDO/RSO Asphalt

- Freigabe der Fallbeschleunigung g für Anpassung wieder aktiviert
- Korrektur Fehlerausgabe bei Berechnnugsproblemen (E-Modul<=0 oder QDZ<=0)
- Falls bei Rückrechnung des Schichtmoduls die max. Anzahl an Iterationen überschritten wird,
  wird der Schichtmodul auf 100.000 gesetzt, damit das Hinweisfeld wieder eingeblendet wird
  Das Problem entsteht vor allem bei sehr dünnen ungebundenen Schichten. 

Modul Materialdatenbank

- Ergänzung manuelles Hinzufügen einer Versuchsdatendatei für Steifigkeit und Ermüdung


#################################################
V2018.01.013
08.01.2020
#################################################

Modul RDO Asphalt

- Fehlerkorrektur bei automatischer Schichtdickenanpassung

Modul Projektverwaltung

- Fehlerbehebung für Daten der Versuchsauswertung (Ergänzung 4PB)

Modul Versuchsauswertung

- DSV nach TP 25 B1 - Ergänzung Diagrammdarstellung der Auswertung 


Modul RSO/RDO Asphalt

- Fehlerbehebung bei Auswahl AF für RSO Probabilistik
  Ausfallwahrscheinlichkeit wurde auf Datenfeld der MDB geschrieben, damit Fehler beim Öfnnen der Datei



#################################################
V2018.01.012
11.12.2019
#################################################

Modul Versuchsauswertung

- Implementierung der Versuchsauswetrung für den 4PB nach DIN EN 12679 Teil 24 und 26



#################################################
V2018.01.011
06.12.2019
#################################################

Modul Versuchsauswertung

- keine Datenübername bei N_Makro=0 für Bestimmung Ermüdungsfunktion
- Anpassung Diagramm bei Auswertung Spaltzugschwellversuch - Ermüdung
- Fehlerkorrektur bei Berichtsdruck für SZSV Ermüdungsversuch (fehlerhafte Diagrammdarstellung)
- Fehlerkorrektur in PM-Konfiguration bei Verwendung von 4 vertikalen WA, 
  Fehler trat bei Bearbeitung der Konfiguration auf
- Abkühlversuch TSRST - Speichern der Messdaten nur bis zum Erreichen der max. Bruchkraft
- Übernahme der PK-Geometrie beim Einlesen der Messwertdatei (nur für Geosys Dateien)
- Ergänzung Ausdruck SZSV -> Ausgabe Probekörpergeometrie
- Fehlerbehebung SZSV Ermüdung - falls EModul unendlich groß wird, Daten ausschließen
- neues Trennzeichen für Einlesen von Versuchsdaten - >"Leerzeichen"
  

Modul Materialdatenbank

- Fehlerkorrektur bei Bearbeitung von ToB's
  (Aufhebung des Schreibschutzes für Eingabe)


Modul Strukturanalyse

- Berechnung der Hauptspannungen und Hauptdehnungen auch für FEM3D
- Einbindung der Mehrschichtentheorie

Modul Mehrschichtenrechenkern

- Erweiterung der Nachkommastellen der Stützstellen für die Gauss-Lobatto-Quadrature
  Erweiterung wurde erforderlich, um die Berechnungsgenauigkeit zu erhöhen


#################################################
V2018.01.010
06.11.2019
#################################################

Allgemein

- Handbuch kann direkt über ADtoPave geöffnet werden, sofern ein pdf Reader installiert ist


Modul Versuchsauswertung

- Fehlerbehebung bei dynamischen Stempeleindringversuch
  (Messwerte erst ab Lastwechsel Nr.2)
- Spaltzugschwellversuch
  automatische Korektur des Phasenwinkels (0<=Ph.-W.<=PI/2)
- Ergänzung in PM-Konfiguration ("Komma" als Trennzeichen)


Modul RStO

- Erweiterung der Funktionalität bei variablen Faktoren


Modul RDO/RSO Asphalt

- Ausgabe der Beanspruchung B nach RStO 12 für RDO Asphalt
- Korrektur Mehrschichtenkern, Problem bei Nachweispunkt in Deckschicht
- Hinweis wenn Boden im Konstruktionsaufbau fehlt
- automatische Schichtdickenanpassung der ATS für RDO Asphalt 
- Ergänzung Variantenvergleich für RDO Asphalt


#################################################
V2018.01.009
23.09.2019
#################################################

Modul RStO

- Fehlerbehebung bei Berechnung B-Zahl nach Methode 2.1
  wenn Auswahl Achslastverteilung vor Eingabe DTV(SV) erfolgt


Modul RDO/RSO Asphalt

- Dimensionierungs-/Prognoseberechnung mit variablen Gewichtungsfaktoren


Modul Versuchsauswertung

- Fehlerbehebung bei Druckschwellversuch, wenn Messdaten nur mit MIN-MAX-Werten vorliegen
- Stabilisierung der Regressionsrechnung bei Druckschwellversuch
- 40 Promille Kriterium für Versuchsende bei Druckschwellversuch
- Einbindung Auswertung zyklischer Schichtenverbundversuch
- Ergänzung Druckfunktion für Abkühlversuch
- Ergänzung in PM Konfiguration, 4 vertikale Wegaufnehmer



#################################################
V2018.01.008
24.07.2019
#################################################

Modul RStO

- Korrektur bei Öffnen einer vorhandenen RStO Datei, wenn Daten nicht
  vollständig eingegeben wurden
- Korrektur bei Ausdruck Dimensioinierung nach RStO für Methode 2.2
  "Fehlende Eingabedaten"
- B-Zahl nach Methode 1 mit variablen Faktoren


Modul RDO/RSO Asphalt

- Fehlerbehebung "Allgemeiner Fehler GDI+" bei Darstellung des Konstruktionsaufbaus
- Korrektur Mehrschichtenkern, Problem bei Nachweispunkt in Deckschicht
- Fehlerbehebung bei Nachweis SoB mit beschleunigter Berechnung


Modul Versuchsauswertung

- Einbindung Auswertung Druckschwellversuch nach TP Asphalt Teil 25 B1
- Korrektur bei Ausdruck Versuchsauswertung nach TP Asphalt Teil 26 
  (vorher "26A" in "26" geändert)
- Ergänzung Druckfunktion für dynamischen Stempeleindringversuch
- Fehlerbehebung bei Anlegen einer neuen Prüfmaachinenkonfiguration
  ->wenn noch keine PM-Konfiguration vorhanden ist
- Scrollfunktion für PM-Konfiguration, falls Bildschirmgröße zu klein




#################################################
V2018.01.007
01.06.2019
#################################################

Modul RDO/RSO Asphalt

- Korrektur Übernahme Verbundfaktor und QDZ für Probabilistik
  Änderungen im Expertenmodus werden jetzt korrekt übernommen


Modul Grafikdarstellung

- automatische Einblendung der Hilfsgitterlinien bei logarithmischer Achseinteilung


Modul Versuchsauswertung

- Fehlerbehebung beim Sortieren der Spalten mit den Auswertungsserien beim Öffnen einer
  Auswertungsserie
- Ermüdungsfunktion für Spaltzugschwellversuch 
  Berechnung von R² anhand der linearisierten Ermüdungsfunktion
  ->Anpassung an Bestimmung R² analog zu Excel
- Lastwechselbereich für zyklische Auswertung -> LW2 entsprechend vorhandener Versuchsdaten
- Einbindung Auswertung für Stempeleindringversuch nach TP Asphalt Teil 25 A1


Modul Materialdatenbank

- Fehlerbehebung bei Materialvergleich, wenn Diagrammaktualisierung ohne Auswahl eines 
  Materials durchgeführt wird
- Fehlerbehebung bei Sortierung der Materialien in Tabellenübersicht 
  vor dem Öffnen

Modul Klima und Verkehr

- Fehlerkorrektur bei Kopieren einer vorhandenen Achslastverteilung


#################################################
V2018.01.006
02.05.2019
#################################################

Modul Versuchsauswertung

- Versuchsauswertung nach TP Asphalt Teil 46B - UCTST
- Behebung Fehlermeldung bei Öffnen eines Ermüdungsversuches bei fehlenden Diagrammdaten
- Korrektur bei Einlesen von Werten im Format "12.000,00"  
- Korrektur der Fehlermeldung bei Eingabe einer Prüftempertur von 0°C 


Modul RDO/RSO Asphalt

- Korrektur bei Abfrage Expertenmodus/Standarduser vor Durchführung der Berechnungen
- Einbindung der Kostenschätzung 

Modul Materialdatenbank

- Kosten für Planum -> Korrektur der Einheit von €/t in €/m²

Modul Analyse

- FEM3D Strukturanalyse eingefügt


#################################################
V2018.01.005
20.02.2019
#################################################

Allgemein

- Hinweis bei Anlegen eines neuen Projektes, falls der Projektordner nicht leer ist


Modul RDO/RSO Asphalt

- neue Auswahlmöglichkeit für maßgebende Beanspruchungen für Berechnung Minersumme
  max. Hauptdehnungen -> speziell für Berechnung Ermüdungsstatus von Deck- und Binderschichten

Modul Versuchsauswertung

- Fehlerbehebung bei manuellem Hinzufügen von Daten zur Versuchsauswertung
- Fokus auf unterste Zeile der Ergebniszusammenfassung bei Übernahme von Versuchsergebnissen
- Hinweis, wenn LW-Bereich in Messdaten nicht gefunden wurde


#################################################
V2018.01.004
11.02.2019
#################################################

Modul Versuchsauswertung

- Korrektur bei Speichern SZSV Ermüdung
  Fehlerbehebung bei Speichern der Versuchsdaten ohne Ermüdungsfunktion
- Problembehebung bei Auswertung Ermüdungsversuch
  Diagrammdarstellung friert ein, was zu einem Programmabsturz führen kann
  Anzahl darzustellenden Daten werden begrenzt, um diesen Fehler zu vermeiden 

Modul Projektverwaltung

- Fehlerkorrektur beim Öffnen der Projektverwaltung -> Ergänzung Abkühlversuch-Zugfestigkeit


#################################################
V2018.01.003
18.01.2019
#################################################

Modul Klima und Verkehr

- Korrektur bei Bestimmung Kist-Zone (Raster für Hochwert war vertauscht)


Modul versuchsauswertung

- Korrektur beim Einlesen der Zusammenfassung wenn mehr als 999 Datensätze vorliegen
- Aktualisierung der Ergebniszusammenfassung vor Speichern, damit korrektes speichern bei Änderungen
- Einbindung Zugfestigkeit nach TP Teil 46 A (UTST)


Modul RDO/RSO

- Korrektur Berechnung Nutzungsdauer bei max. zul. AÜ>1.000.000.001
- AF für RSO entsprechend Entwurf RSO 2016
- Problembehebung für RSO Asphalt bei ND>50 Jahre


Modul PMS

- Ergänzung Zunahme Schwerverkehr in Übergabedatei
- AF für PMS entsprechend Übergabe BASt

Modul Diagrammansicht

- Korrektur für Diagrammskallierung 


#################################################
V2018.01.002
12.11.2018
#################################################

Modul Versuchsauswertung

- Spaltzugschwellversuch Korrektur bei Bestimmung E-Modul
  (Querdehnzahl jetzt wieder korrekt)
- Einbindung Abkühlversuch nach TP Asphalt Teil 46 (TSRST)
- Problembehebung bei wiederholtem übertragen der 
  Versuchsdaten zur Bestimmung der Ermüdungsfunktion
- SZSV Laden der Ergebnisse der Hauptkurve
- SZSV Laden der Ergebnisse der Ermüdungsfunktion

Modul Klima und Verkehr

- Einbindung neue KIST-Zonen Karte (mit 4 Zonen)
- Anpassung Häufigkeitsverteilung auf 4 Zonen (Zone 3 wird Zone 1 usw.)


Modul RDO/RSO Asphalt

- für RSO keine Abfrage nach Sicherheitsbeiwerten/Anpassungsfaktoren
  für Nachweispunkte SoB, HGT, Boden
- Problembehebung Nachweispunkte, Fehlermeldung bei nachträglicher Bearbeitung
- autom. Anzeige des maßgebenden Nachweispunktes
- autom. Auswahl der Nachweispunkte für Standarduser

